Func _verifAttach()
	$r = GUICtrlRead($input_attach)
	If Not StringInStr($r, ";") Then
		If Not FileExists($r) Then Return False
	Else
		$s = StringSplit($r, ";")
		For $i = 1 to $s[0] Step 1
			If Not FileExists($s[$i]) Then Return False
		Next
	EndIf
	Return True
EndFunc

Func _sqlSpecialChars($in)
	$in = StringReplace($in, "'", "''")
	$in = StringReplace($in, '\', '\\')
	Return $in
EndFunc

Func _erreur()
	MsgBox(16, "Gmailer", "Erreur fatale")
EndFunc

Func _info($text)
	MsgBox(64, "Gmailer", $text)
EndFunc

Func _TestConnection()
	Local $AmIConnected = False
	If Ping("www.google.com") > 0 Then $AmIConnected = True
	Return $AmIConnected
;~ Return True
EndFunc   ;==>_TestConnection

Func _sql_write_user($user, $pass)
	$pass = _StringEncrypt(1, $pass, $masterPass)
	If _SQLite_Exec(-1, "UPDATE identifiants SET user='" & $user & "',pass='" & $pass & "' WHERE id='index'") <> $SQLITE_OK Then
		_erreur()
		Return
	EndIf
EndFunc

Func _sql_read_user(ByRef $user, ByRef $pass)
	Local $data, $query
	$user = ""
	$pass = ""

	_SQLite_Query(-1, "SELECT user,pass FROM identifiants", $query)

	If _SQLite_FetchData($query, $data) = $SQLITE_OK Then
		If $data[0] <> "" Then
			$user = $data[0]
		Else
			$user = ""
		EndIf

		If $data[1] <> "" Then
			$pass = _StringEncrypt(0, $data[1], $masterPass)
		Else
			$pass = ""
		EndIf
	EndIf

	_SQLite_QueryFinalize($query)
EndFunc

Global $oMyRet[2]
Global $oMyError = ObjEvent("AutoIt.Error", "MyErrFunc")

Func _INetSmtpMailCom($s_SmtpServer, $s_FromName, $s_FromAddress, $s_ToAddress, $s_Subject = "", $as_Body = "", $s_AttachFiles = "", $s_CcAddress = "", $s_BccAddress = "", $s_Importance="Normal", $s_Username = "", $s_Password = "", $IPPort = 25, $ssl = 0)
    Local $objEmail = ObjCreate("CDO.Message")
    $objEmail.From = '"' & $s_FromName & '" <' & $s_FromAddress & '>'
    $objEmail.To = $s_ToAddress
    Local $i_Error = 0
    Local $i_Error_desciption = ""
    If $s_CcAddress <> "" Then $objEmail.Cc = $s_CcAddress
    If $s_BccAddress <> "" Then $objEmail.Bcc = $s_BccAddress
    $objEmail.Subject = $s_Subject
    If StringInStr($as_Body, "<") And StringInStr($as_Body, ">") Then
        $objEmail.HTMLBody = $as_Body
    Else
        $objEmail.Textbody = $as_Body & @CRLF
    EndIf
    If $s_AttachFiles <> "" Then
        Local $S_Files2Attach = StringSplit($s_AttachFiles, ";")
        For $x = 1 To $S_Files2Attach[0]
            $S_Files2Attach[$x] = _PathFull($S_Files2Attach[$x])
            ConsoleWrite('@@ Debug(62) : $S_Files2Attach = ' & $S_Files2Attach[$x] & @LF & '>Error code: ' & @error & @LF) ;### Debug Console
            If FileExists($S_Files2Attach[$x]) Then
                $objEmail.AddAttachment ($S_Files2Attach[$x])
            Else
                ConsoleWrite('!> File not found to attach: ' & $S_Files2Attach[$x] & @LF)
                SetError(1)
                Return 0
            EndIf
        Next
    EndIf
    $objEmail.Configuration.Fields.Item ("http://schemas.microsoft.com/cdo/configuration/sendusing") = 2
    $objEmail.Configuration.Fields.Item ("http://schemas.microsoft.com/cdo/configuration/smtpserver") = $s_SmtpServer
    If Number($IPPort) = 0 then $IPPort = 25
    $objEmail.Configuration.Fields.Item ("http://schemas.microsoft.com/cdo/configuration/smtpserverport") = $IPPort
    ;Authenticated SMTP
    If $s_Username <> "" Then
        $objEmail.Configuration.Fields.Item ("http://schemas.microsoft.com/cdo/configuration/smtpauthenticate") = 1
        $objEmail.Configuration.Fields.Item ("http://schemas.microsoft.com/cdo/configuration/sendusername") = $s_Username
        $objEmail.Configuration.Fields.Item ("http://schemas.microsoft.com/cdo/configuration/sendpassword") = $s_Password
    EndIf
    If $ssl Then
        $objEmail.Configuration.Fields.Item ("http://schemas.microsoft.com/cdo/configuration/smtpusessl") = True
    EndIf
    ;Update settings
    $objEmail.Configuration.Fields.Update
    ; Set Email Importance
    Switch $s_Importance
        Case "High"
            $objEmail.Fields.Item ("urn:schemas:mailheader:Importance") = "High"
        Case "Normal"
            $objEmail.Fields.Item ("urn:schemas:mailheader:Importance") = "Normal"
        Case "Low"
            $objEmail.Fields.Item ("urn:schemas:mailheader:Importance") = "Low"
    EndSwitch
    $objEmail.Fields.Update
    ; Sent the Message
    $objEmail.Send
    If @error Then
        SetError(2)
        Return $oMyRet[1]
    EndIf
    $objEmail=""
EndFunc   ;==>_INetSmtpMailCom
;
;########## Arret, fonction internes ##########
; Com Error Handler
Func MyErrFunc()
    $HexNumber = Hex($oMyError.number, 8)
    $oMyRet[0] = $HexNumber
    $oMyRet[1] = StringStripWS($oMyError.description, 3)
    ConsoleWrite("### COM Error !  Number: " & $HexNumber & "   ScriptLine: " & $oMyError.scriptline & "   Description:" & $oMyRet[1] & @LF)
    SetError(1); something to check for when this function returns
    Return
EndFunc   ;==>MyErrFunc
